适用于 Windows 和 Mac

技术规格

FileMaker Server 18

包含内容

FileMaker Server 18 仅提供电子下载版本。它包含产品软件,以及一个包含安装许可密钥的电子许可证书的链接。产品文档在线提供。


支持的语言:国际英语、法语、意大利语、德语、西班牙语和日语。

兼容性

FileMaker Server 18 支持以下客户端:

  • FileMaker Pro 16
  • FileMaker Pro 18、17 和 16 Advanced
  • FileMaker Go 18、17 和 16
  • 使用 iOS App SDK 18、17 和 16 创建的 App
  • FileMaker WebDirect

在客户端连接到 FileMaker Server 18 之前,必须为上述客户端应用最新更新。某些功能可能无法完全向后兼容。

系统要求

请注意:新版本不再支持 macOS Sierra 10.12。请在升级到 FileMaker Server 18 之前更新您的操作系统。

经认证的操作系统*
Windows Server 2016 数据中心版和标准版(包含 Desktop 体验)
Windows Server 2012 R2 标准版(包含更新)(请参阅 Microsoft KB 2919355)
macOS Mojave 10.14
macOS High Sierra 10.13

*所列版本为最低要求。FileMaker Server 还可与经 FileMaker, Inc. 认证的更新版本操作系统兼容。上表未列出的操作系统均未经测试且不受支持。

硬件要求

推荐为 FileMaker Server 使用一台专用计算机。

最低要求
CPU:双核
RAM:8 GB
硬盘:100 GB 或更高,取决于文件大小,要求最低 50 GB 可用空间。建议使用固态硬盘(SSD)。
操作系统驱动器要求

FileMaker Server 使用操作系统驱动器为渐进式下载、上传和下载 App、日志文件以及 Web Server 等组件使用的缓存存储提供临时存储。

为了保持最佳运行环境,FileMaker Server 要求在操作系统驱动器上预留 80 GB 或更大的可用存储空间,即便将 App 托管或者备份到另一个驱动器上。服务器管理员必须监视操作系统驱动器,确保足够的可用存储空间。

FileMaker WebDirect
支持的语言

国际英语、法语、意大利语、德语、瑞典语、日语、荷兰语、西班牙语、简体中文、韩语和巴西葡萄牙语

支持的网络浏览器

可从网络浏览器访问 FileMaker WebDirect。受支持的网络浏览器包括:

桌面浏览器 移动浏览器
Safari 12.x(最低要求) iOS 12.x 上的 Mobile Safari(最低要求)
Chrome 73(最低要求) Android 7.x 上的 Chrome 73(最低要求)
Internet Explorer 11.x
Microsoft Edge 44
移动硬件要求*
平台 支持的设备
iPad iPad Pro(12.9 英寸、11 英寸和 10.5 英寸)
iPad 9.7 英寸
iPad Air
iPad mini 5
iPad mini 4
iPhone iPhone XS
iPhone XS Max
iPhone XR
iPhone X
iPhone 8
iPhone 8 Plus
iPhone 7
iPhone 7 Plus
Android 内存:3 GB RAM(最低要求)
CPU:2.1 GHz 四核处理器(最低要求)
屏幕尺寸:5 英寸(最低要求)

* FileMaker WebDirect 可以在上表中未列出的其他设备上运行,但这些设备均未经测试且不受支持。

FileMaker WebDirect 移动硬件配件
  • 支持 iPad Pro 的 Smart Keyboard
  • 支持 iPad Pro 的 Apple Pencil
移动网络要求

需要信号强度和连接稳定的网络连接。

支持的移动网络
Wi-Fi LTE 4G
推荐的硬件配置

需要信号强度和连接稳定的网络连接。

*连接可能受到硬件、App 设计、操作系统或许可协议的限制。

更多信息

有关 FileMaker WebDirect 的更多信息,请参阅 FileMaker WebDirect 指南(英文)

容量

下表列出了 FileMaker Server 18 经测试理论上允许的最多并发连接个数。经测试的最大值仅代表测试结果,无法确保实际性能。


FileMaker Server 可托管最多 125 个 FileMaker Pro Advanced 文件。 

客户端 经过测试* 允许的最大值*
FileMaker Pro Advanced 500 2000
FileMaker Go 500 500
FileMaker WebDirect 500 500
自定义网络发布(CWP)** 500 2000
FileMaker Data API 500 500
ODBC/JDBC 50 不受限制

* 连接可能受到硬件、App 设计、活动用户、操作系统或许可协议的限制。

**CWP 基于同时的请求事件而非持久连接而发生。

用户许可

用户许可可以使包括 FileMaker Pro Advanced、FileMaker Go 和 FileMaker WebDirect 在内的客户端连接到 FileMaker Server。可通过 FileMaker Server 管理控制台或 FileMaker 商城购买用户许可。进一步了解 FileMaker 用户许可

网络 - 客户端要求
FileMaker ProAdvanced FileMaker Pro Advanced 客户端要求软件许可证。
ESS 查看支持的驱动程序列表(英文)
其他要求
技术 要求
Java FileMaker Server 不再安装 Java Runtime Environment (JRE),JRE 在使用自定义 Web 发布和 FileMaker WebDirect 时需要安装。要使用 web 相关服务,您必须安装 OpenJDK 或 Oracle JRE。进一步了解(英文)
PHP FileMaker Server 18 安装您使用 PHP 进行自定义网络发布所需的组件,包括 PHP 引擎、FileMaker API for PHP 和文档。使用经过 FileMaker, Inc. 认证的最新版本的 PHP。

Windows 用户需要 PHP 7.1.19
macOS Mojave 10.14 用户需要 PHP 7.1.19
macOS High Sierra 10.13 用户需要 PHP 7.1.16
管理控制台 您可在能够通过网络访问 FileMaker Server 18 的设备上,打开网络浏览器访问 FileMaker Server 管理控制台。受支持的网络浏览器包括:
  • Safari 12.x
  • Internet Explorer 11.x
  • Chrome 73(最低要求)
  • Microsoft Edge 44
这些版本是最低要求。FileMaker Server Admin Console(管理控制台)也可使用 FileMaker, Inc. 认证的更高浏览器版本。
支持的 ESS 数据源 Microsoft SQL Server 2017
Microsoft SQL Server 2016
Microsoft SQL Server 2014
MySQL Community Server 5.7.21
Oracle Database 11g Release 2
Oracle Database 12c Release 1
Oracle Database 12c Release 2
IBM Db2 i 7.3(通过 Actual ESS Adapter)
IBM Db2 Version 11.1(通过 Actual ESS Adapter)
PostgreSQL 9.6.12(通过 Actual ESS Adapter)
安全性 在通过 FileMaker 的加密功能加密数据库文件时,支持在空闲时使用 AES-256 加密数据。

FileMaker 18 平台中的所有产品均支持共享、读取和写入 AES-256 加密文件。

支持第三方证书认证中心 SSL 证书供应商。查看 支持的 SSL 证书列表(英文)
已弃用和已删除的技术

FileMaker, Inc. 从未间断对新技术的投资,致力于对 FileMaker 平台不断做出改进。因此,一些弃用功能和操作系统将从未来的 FileMaker 软件版本中删除。请查看 已弃用的技术(英文)列表。